local mayaHelperCustomBumper = {}

mayaHelperCustomBumper.name = "MayaHelper/MayaCustomBumper"
mayaHelperCustomBumper.depth = 0
mayaHelperCustomBumper.nodeLineRenderType = "line"
mayaHelperCustomBumper.nodeLimits = {0, -1}
mayaHelperCustomBumper.texture = "objects/bumper/MayaHelper/customBumper/Idle00"
mayaHelperCustomBumper.justification = {.5, .52}
mayaHelperCustomBumper.placements = {
	{
		name = "Maya's Custom Bumper",
		data = {
			conserveMomentum = false, wobble = false, oneTimeUse = false, sprite = "bumper_maya_custom", 
			respawnTime = .6, dashCooldown = .2, dashRefill = 1, particleColor = 0, strengthMultiplier = 1, 
			freezeFrames = .1, gravitySwitch = 0, flag = "", moveFlag = "", flagTime = -1, 
			moveMode = 0, moveSpeed = 300, moveTime = 3,dreamRefill = false, stopTime = 0, 
			LaunchColor = "FF0000", LaunchColor2 = "990000",AmbienceColor = "FF0000", AmbienceColor2 = "990000",
			LoopWhenFinished = true, ConservationLogic = 0
		}
	}
}
mayaHelperCustomBumper.fieldInformation = {
    dashRefill = {fieldType = "integer", editable = true},
	gravitySwitch = {fieldType = "integer", options = {
		["No Gravity Change"] = 0,
		["Normal"] = 1,
		["Inverted"] = 2,
		["Switch"] = 3
	}, editable = false},
	moveMode = {fieldType = "integer", options = {
		["Timing"] = 0,
		["Speed"] = 1
	}, editable = false},
	LerpType = {fieldType = "integer", options = {
		["None"] = 0,
		["SineInOut"] = 1
	}, editable = false},
	ConservationLogic = {fieldType = "integer", options = {
		["Hyperbolic Scaling"] = 0,
		["Legacy"] = 1,
		["Full Conservation"] = 2
	}, editable = false}

	
}
return mayaHelperCustomBumper